<?php
// $Id: 11_MySQL_Vsite.php.defaults.Vsite
// Copyright (c) 2008-2025 Michael Stauber, SOLARSPEED.NET
// Copyright (c) 2008-2025 Team BlueOnyx, BLUEONYX.IT
//
// ui extension to set settings for cgi Vsite creation

if (defined("MYSQL_Vsite_EXTENSION_CREATE_VSITE")) {
    return 1;
}
define("MYSQL_Vsite_EXTENSION_CREATE_VSITE", 1);

include_once("UIExtension.php");

class MYSQL_VsiteExtension extends UIExtension {
    function display(&$helper, &$container, &$cce_info) {
        $factory = $helper->getHtmlComponentFactory("base-mysql");
        $cce = $helper->getCceClient();
    
        $defaults = $cce->get($cce_info["CCE_SERVICES_OID"], 'MYSQL_Vsite');

        $pageId = $cce_info['PAGED_BLOCK_DEFAULT_PAGE'];

        $sqlField = $factory->getMultiChoice('sql');
        $enable = $factory->getOption('sql', $defaults["enabled"], 'rw');
        $xxx = $factory->getLabel('enabled', false);
        $enable->setLabel($xxx);
        $sqlField->addOption($enable);

        $max_dbs = $factory->getInteger("maxDBs", $defaults["maxDBs"], 1, 1000);
        $max_dbs->showBounds(1);
        $max_dbs->setWidth(4);
        $max_dbs->setMaxLength("4");
        $enable->addFormField($max_dbs, $factory->getLabel("maxDBs"));

        $container->addFormField($sqlField, $factory->getLabel('solmysql_enabled'), $pageId);
    }

    function handle(&$helper, &$errors, &$cce_info, &$attributes) {
        //global $CGI_enabled;
        $this->attributes = $attributes;

        $cce = $helper->getCceClient();

        $cce->set($cce_info["CCE_SERVICES_OID"], 'MYSQL_Vsite', array('enabled' => $this->attributes['sql'], 'maxDBs' => $this->attributes['maxDBs']));

        $errors = array_merge($errors, $cce->errors());
    }
}
